--- title: "Get subject activity list" slug: "management-subaccount-getcredentiallist" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-getcredentiallist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get subject activity list Available in Classic and VPC Get the subject activity list. You can check the detailed usage history of certificates with the same subject. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/subjects/{subjectId}/credentials | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subjectId` | String | Required | Subject ID - See [Get subject list](/docs/en/management-subaccount-getsubjectlist) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://externalaccess.apigw.ntruss.com/api/v1/subjects/c2dea79b-****-****-****-c162618da17d/credentials?page=0&size=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | - | Page number | | `totalElements` | Integer | - | Number of response results | | `pageSize` | Integer | - | Page output count | | `content` | Array | - | Certificate usage history list: [content](/docs/en/management-subaccount-getcredentiallist#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `issuer` | String | - | Certificates issuer | | `serialNumber` | String | - | Certificate number | | `x509CertificateData` | String | - | X.509 certificate data | | `failed` | Boolean | - | Authentication success status - `true` \| `false` - `true`: failed - `false`: succeeded | | `seenTime` | String | - | Authentication date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "pageNo": 0, "totalElements": 10, "pageSize": 20, "content": [ { "issuer": "CN=QA_Root_CA, OU=IAM Service, O=NAVER Cloud Corp., L=Seongnam-si, ST=Gyeonggi-do, C=KR", "serialNumber": "***************099216805457609290***************", "x509CertificateData": "{x509CertificateData}", "failed": false, "seenTime": "2024-12-12T18:09:05.705+09:00" }, // (Omitted) ] } ```